Page MenuHomePhabricator

[WebAssembly] Emit the DataCount section when bulk memory is enabled
ClosedPublic

Authored by tlively on Apr 12 2019, 3:28 PM.

Details

Summary

The DataCount section is necessary for the bulk memory operations
memory.init and data.drop to validate, but it is not recognized by
engines that do not support bulk memory, so emit the section only if
bulk-memory is enabled.

Event Timeline

tlively created this revision.Apr 12 2019, 3:28 PM
sbc100 added inline comments.Apr 15 2019, 12:39 PM
lld/wasm/OutputSections.h
93

Can you not just use SyntheticSection directly? It looks like thats what we do for most other sections.

tlively updated this revision to Diff 195251.Apr 15 2019, 2:45 PM
  • Switch to using SyntheticSection
tlively marked an inline comment as done.Apr 15 2019, 2:46 PM
tlively added inline comments.
lld/wasm/OutputSections.h
93

Good call. Much simpler that way.

ping, I think this should be ready to go.

sbc100 accepted this revision.Apr 19 2019, 4:09 PM
This revision is now accepted and ready to land.Apr 19 2019, 4:09 PM
This revision was automatically updated to reflect the committed changes.